GET /leads/:lead_token/:caller_number/by_caller_number

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/leads/:lead_token/:caller_number/by_caller_number

Get a lead by caller number

Look up a lead using an offer's or schedule's lead_token combined with the caller's phone number, instead of the lead's own id.

Params

Param name Description
lead_token
Optional

The lead token is set to either the offer_lead_token you get at trackdrive.com/offers or a schedule_lead_token you get from trackdrive.com/schedules. The only difference is the use of offer_lead_token will just send data to the offer which is picked up when a call is made with the caller_id of the lead. EG: If a Call Center is transferring data before they send you a call. The schedule_lead_token will start the actions associated with the schedule.

  • Must be a String

caller_number
Optional

Find the lead by this caller number.

  • Must be a String